/*
    Drools5 Integration Helper
    Copyright (C) 2009  Mathieu Boretti mathieu.boretti@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */
package org.boretti.drools.integration.drools5.exceptions;

import org.drools.compiler.PackageBuilderErrors;

/**
 * This is a Compilation of drools problem in Drools5-Integration-Helper.
 * 
 * @author mbo
 *
 */
public class CompilationDroolsError extends DroolsError {
	
	private PackageBuilderErrors packageBuilderErrors;

	/**
	 * 
	 */
	private static final long serialVersionUID = 4678629472128016491L;

	public CompilationDroolsError() {
		super();
	}

	public CompilationDroolsError(String message, Throwable cause) {
		super(message, cause);
	}

	public CompilationDroolsError(String message) {
		super(message);
	}

	public CompilationDroolsError(Throwable cause) {
		super(cause);
	}
	
	public CompilationDroolsError(PackageBuilderErrors packageBuilderErrors) {
		super();
		this.packageBuilderErrors=packageBuilderErrors;
	}

	public CompilationDroolsError(String message, Throwable cause,PackageBuilderErrors packageBuilderErrors) {
		super(message, cause);
		this.packageBuilderErrors=packageBuilderErrors;
	}

	public CompilationDroolsError(String message,PackageBuilderErrors packageBuilderErrors) {
		super(message);
		this.packageBuilderErrors=packageBuilderErrors;
	}

	public CompilationDroolsError(Throwable cause,PackageBuilderErrors packageBuilderErrors) {
		super(cause);
		this.packageBuilderErrors=packageBuilderErrors;
	}
	
	public org.drools.compiler.DroolsError[] getCompilationErrors() {
		return packageBuilderErrors.getErrors();
	}

}
